#pragma once
#include "afxcmn.h"
#include "afxwin.h"


// CBook dialog

class CBook : public CDialog
{
	DECLARE_DYNAMIC(CBook)

public:
	CBook(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBook();

// Dialog Data
	enum { IDD = IDD_BOOK };
	CDaoDatabase* m_pDB;
	CDaoRecordset* m_pRS;
	CDaoRecordset* m_pRSW0;
public:
	long vrecno;	
	COleVariant  varbook1, varchapter1, vartitle1, varverse1; 
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CString mm_book;
	CString mm_title;
	CString mm_verse;
	CString mm_chapter;
	CString m_edit1;
	virtual BOOL OnInitDialog();

	afx_msg void OnBnClickedFirst();
	afx_msg void OnBnClickedLast();
	afx_msg void OnBnClickedNext();
	afx_msg void OnBnClickedPrevious();

	void CalculValue();
	void SetButtons(BOOL bVal);
	void SetButtonsAll(BOOL bVal);	
	CTabCtrl m_Tab1;
	CEdit m_edit2control;
	CString m_edit2;
	CButton m_display;
	CListCtrl m_list1;
	CStatic m_foundcontrol;
	CString m_found;
	CStatic m_type;
	afx_msg void OnEnChangeEdit2();
	afx_msg void OnBnClickedDisplay();
	afx_msg void OnNMClickList1(NMHDR *pNMHDR, LRESULT *pResult);
	CStatic m_select;
	CStatic m_tbook;
	CStatic m_ttitle;
	CStatic m_tchapter;
	CStatic m_tverse;
	CListBox m_listbook;
	CListBox m_listtitle;
	CListBox m_listchapter;
	CListBox m_listverse;
	afx_msg void OnTcnSelchangeTab1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLbnSelchangeListBook();
	afx_msg void OnLbnSelchangeListTitle();	
	afx_msg void OnLbnSelchangeListChapter();
	afx_msg void OnLbnSelchangeListVerse();
};
